#include <unistd.h>
#include <tcl.h>
#include "tcl_crypt.h"

Tcl_CmdProc Tcl_Crypt ;

int Crypt_Init(Tcl_Interp *interp)
{
    Tcl_CreateCommand(interp, "crypt", Tcl_Crypt, 0, 0) ;

    return TCL_OK ;
}


int Tcl_Crypt(ClientData dummy, Tcl_Interp *interp, int argc, char *argv[])
{
    char salt[2] ;
    
    switch (argc) {
      case 2:
	memcpy(salt, "AA", 2) ;
	break ;
      case 3:
	memcpy(salt, argv[2], 2) ;
	break ;
      default:
	interp->result = "Wrong # args: usage is `crypt password ?salt?'" ;

	return TCL_ERROR ;
    }
    strcpy(interp->result, crypt(argv[1], salt)) ;

    return TCL_OK ;
}
